Skip to main content
Version: V2

Depth map

POST 

/v2/artworks/depth-map

Generate a depth map from an image. Returns a grayscale image where lighter pixels are closer to the camera and darker pixels are farther away.

Request

Body

required

    imageUrl urirequired

    URL of the image to generate a depth map from.

    invertDepth boolean

    Whether to invert the depth image.

    resolutionLowerLimit integer

    Possible values: >= 256 and <= 2048

    Default value: 1024

    Lower limit of the resolution. Must be a multiple of 64.

    usePostResize boolean

    Whether the depth map gets resized to original resolution.

    webhook uri

    Optional webhook URL. When provided, the server will POST the final artwork result to this URL upon completion.

    useVersion3 boolean

    When true, uses DepthAnythingV3. When false, uses V2. Determines which model values are valid.

    model string

    Default value: large

    Depth map model name. V2: giant, large, base, small. V3: small, base, large, giant, mono_large, metric_large, nested_giant_large.

    normalizationMode string

    Possible values: [Standard, V2-Style, Raw]

    Default value: Standard

    Normalization mode (V3 only). Values: Standard, V2-Style, Raw.

Responses

Depth map artwork creation accepted for processing.

Schema

    id uuidrequired
    artworkType stringrequired

    Possible values: [depth_map]

    parameters

    object

    required

    imageUrl uri

    URL of the image to generate a depth map from.

    invertDepth boolean

    Whether to invert the depth image.

    resolutionLowerLimit integer

    Possible values: >= 256 and <= 2048

    Default value: 1024

    Lower limit of the resolution. Must be a multiple of 64.

    usePostResize boolean

    Whether the depth map gets resized to original resolution.

    webhook uri

    Optional webhook URL. When provided, the server will POST the final artwork result to this URL upon completion.

    useVersion3 boolean

    When true, uses DepthAnythingV3. When false, uses V2. Determines which model values are valid.

    model string

    Default value: large

    Depth map model name. V2: giant, large, base, small. V3: small, base, large, giant, mono_large, metric_large, nested_giant_large.

    normalizationMode string

    Possible values: [Standard, V2-Style, Raw]

    Default value: Standard

    Normalization mode (V3 only). Values: Standard, V2-Style, Raw.

    duration numberrequired
    results string[]required
    status stringrequired

    Possible values: [starting, processing, succeeded, failed, canceled]

    createdAt date-timerequired
Loading...